#ifndef etslibh
#define etslibh

#include <termios.h>

int tty_open(char *d, struct termios *saved_termios);
void tty_close(int fd, struct termios *saved_termios);
char *tty_chomp(char *p);
char *tty_read_line(int fd);
int tty_write_byte(int fd, unsigned char b);

int ets_detect(int fd);
int ets_disconnect(int fd);

extern char ets_identification[256];
extern int ets_identification_length;

struct ets_command
{
  unsigned char asterisk; // Should be *
  unsigned char length;
  unsigned char code;
  unsigned char zero; // ??
};

struct ets_response
{
  unsigned char length;
  unsigned char code;
  unsigned char zero; // ??
};


#define SEQUENCE_RESPONSE ('A')

#define ETS_CODE_GET_TIME_COMMAND   ('A')
#define ETS_CODE_GET_TIME_RESPONSE  ('B')

#define ETS_CODE_SET_TIME_COMMAND   ('#')
#define ETS_CODE_SET_TIME_RESPONSE  ('$')

int ets_connect(int fd);
     


#endif
